Download it now!
Bug 80120 - Crop combined with contour gives wrong PDF export
Summary: Crop combined with contour gives wrong PDF export
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: bibisected, bisected, filter:pdf, regression
Depends on:
Blocks: PDF-Export Image-Crop GraphicPrimitive2D-regressions
  Show dependency treegraph
 
Reported: 2014-06-17 07:22 UTC by Fernand
Modified: 2019-03-02 03:51 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Writter DOC with croped an contoured image (151.37 KB, application/vnd.oasis.opendocument.text)
2014-06-17 07:22 UTC, Fernand
Details
PDF produced with LO 4.2 (318.11 KB, application/pdf)
2014-06-17 07:25 UTC, Fernand
Details
PDF_produced with LO 4.0 (52.26 KB, application/pdf)
2014-06-17 07:27 UTC, Fernand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernand 2014-06-17 07:22:38 UTC
Created attachment 101205 [details]
Writter DOC with croped an contoured image

When an image is cropped and has a contour the PDF export is no longer correct, de contour is no longer present.
Was correct in 4.0
When removing the crop (its anyhow bad behaviour to use crop and contour) then the PDF produced correct contouring.

Steps to reproduce:
1. Open the attached Writer DOC....
2. Make a PDF ....
3. ....

Current behavior: attached CROP_CONTOUR_4.2.PDF

Expected behavior: attached CROP_CONTOUR_4.0.PDF
              
Operating System: Windows (other)
Version: 4.2.0.4 release
Comment 1 Fernand 2014-06-17 07:25:32 UTC
Created attachment 101206 [details]
PDF produced with LO 4.2
Comment 2 Fernand 2014-06-17 07:27:09 UTC
Created attachment 101207 [details]
PDF_produced with LO 4.0
Comment 3 tommy27 2014-06-18 02:23:52 UTC
tested under Win7x64
bug reproducible with 4.1.0.4 and 4.2.4.2 
not reproducible with 4.0.6.2

hence early 4.1.x regression
needs bisecting
Comment 4 Michael Weghorn 2015-01-10 23:57:17 UTC
Reproduced on Debian with a current master build.
Comment 5 Michael Weghorn 2015-01-11 00:15:12 UTC
bibisect result:

# bad: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
# good: [2e0fa432485d1db6abd355dad8ccb06f0b97e4fb] source-hash-ce90f99a2d66c2b998ad3f9f028e2ea623a757f5
git bisect start 'last42onmaster' 'last40onmaster'
# good: [3b187f1cb396a02f99a3da44b8b1daa40d795749] source-hash-344d80ee1d3829b28c18135ac4f0500d4b69aedd
git bisect good 3b187f1cb396a02f99a3da44b8b1daa40d795749
# good: [7248c8d3ae94540ec2e94d6b760ef52708a71ebe] source-hash-33f6696f393363dc9c182dfc732f87465e5e53ea
git bisect good 7248c8d3ae94540ec2e94d6b760ef52708a71ebe
# good: [1b204196f0fbb248722573341fab666b41038431] source-hash-03e9845525037a02dac320ad09fb6eed34e9f0da
git bisect good 1b204196f0fbb248722573341fab666b41038431
# good: [1b204196f0fbb248722573341fab666b41038431] source-hash-03e9845525037a02dac320ad09fb6eed34e9f0da
git bisect good 1b204196f0fbb248722573341fab666b41038431
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [5c95a5c8caeeb347ef97f337a237d66c35261710] source-hash-a6d89e17995987549db36695f3ea490a18f30ba4
git bisect good 5c95a5c8caeeb347ef97f337a237d66c35261710
# good: [5c95a5c8caeeb347ef97f337a237d66c35261710] source-hash-a6d89e17995987549db36695f3ea490a18f30ba4
git bisect good 5c95a5c8caeeb347ef97f337a237d66c35261710
# good: [e1c300f1d24977d8ea10e57115516174929bbc23] source-hash-832586588c3ed5f1686a4ecebc2ed198ce049b24
git bisect good e1c300f1d24977d8ea10e57115516174929bbc23
# good: [e1c300f1d24977d8ea10e57115516174929bbc23] source-hash-832586588c3ed5f1686a4ecebc2ed198ce049b24
git bisect good e1c300f1d24977d8ea10e57115516174929bbc23
# bad: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect bad 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# bad: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect bad 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# good: [11ac44b0fb233f1f98e2f083598f6720a04e457f] source-hash-3c01203ea657b9a3538f9956591b3d4da5fce6e7
git bisect good 11ac44b0fb233f1f98e2f083598f6720a04e457f
# first bad commit: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
Comment 6 Matthew Francis 2015-01-15 15:47:52 UTC
The behaviour changed at the below commit.

Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks


commit 2e5167528f7566dd9b000e50fc1610b7bf99132a
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Thu Oct 31 14:43:21 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Tue Nov 5 15:24:18 2013 +0000

    Resolves: #i123500# unified Graphic processing to use GraphicPrimitive2D
    
    (cherry picked from commit f5d69b2b8b002ca6905496a9d9065ef76b5641d7)
    
    Conflicts:
        sw/source/core/doc/notxtfrm.cxx
    
    Change-Id: I1758aadcbe97ece271277378e62300b895421768
Comment 7 Bernhard Dippold 2015-10-26 13:56:31 UTC
I run in this bug by printing a writer file with an image I cropped before I decided to add a contour. 

By reading this bug report I found the solution: just remove the crop - thanks!

But if someone else can confirm that printing to a printer is affected too, I'd ask to modify the title.
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:16:17 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2016-09-26 15:03:12 UTC
Adding Cc: to Armin Le Grand
Comment 10 QA Administrators 2019-03-02 03:51:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug